<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

jimport('joomla.application.component.controller');

class MediaMallFactoryBackendController extends JControllerLegacy
{
    protected $default_view = 'dashboard';

    public function display($cachable = false, $urlparams = false)
    {
        $view = JFactory::getApplication()->input->getCmd('view', $this->default_view);

        if ('categories' == $view) {
            JFactory::getApplication()->redirect(JRoute::_('index.php?option=com_categories&extension=com_mediamallfactory', false));
        }

        JLoader::register('MediaMallFactoryHelper', FactoryApplication::getInstance()->getPath('component_administrator') . DS . 'helpers' . DS . 'mediamallfactory.php');

        MediaMallFactoryHelper::addSubmenu($view);

        parent::display();

        return $this;
    }
}
