<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

class MediaMallFactoryHelper
{
    public static function addSubmenu($view)
    {
        $app = JFactory::getApplication();
        $option = 'com_mediamallfactory';
        JLoader::register('FactoryApplication', JPATH_ADMINISTRATOR . '/components/' . $option . '/libraries/factory/application.php');

        FactoryApplication::getInstance(array(
            'app'       => $app,
            'component' => 'MediaMallFactory',
            'option'    => $option,
        ));

        $items = array(
            'list',
            'users',
            'orders',
            'payments',
            'invoices',
            'requests',
            'configuration',
            'about',
        );

        foreach ($items as $item) {
            if ('categories' == $item) {
                $link = JRoute::_('index.php?option=com_categories&extension=' . FactoryApplication::getInstance()->getOption());
            } else {
                $link = FactoryRoute::view($item);
            }

            JHtmlSidebar::addEntry(FactoryText::_('submenu_' . $item), $link, $item == $view);
        }
    }
}
