<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

class JHtmlMediaMallFactoryOrders
{
    public static function paid($state)
    {
        $states = array(
            0 => 'unpublish',
            1 => 'publish',
        );

        $html = array();

        $html[] = '<i class="icon-' . $states[$state] . '"></i>';

        return implode("\n", $html);
    }

    public static function status($state)
    {
        $states = array(
            10 => 'warning',
            20 => 'publish',
            30 => 'unpublish',
            40 => 'question-sign',
        );

        $html = array();

        $html[] = '<i class="icon-' . $states[$state] . '"></i>';

        return implode("\n", $html);
    }

    public static function statusBadge($state)
    {
        $html = array();

        $classes = array(
            10 => 'warning',
            20 => 'success',
            30 => 'important',
            40 => 'info',
        );

        $texts = array(
            10 => FactoryText::_('order_status_pending'),
            20 => FactoryText::_('order_status_completed'),
            30 => FactoryText::_('order_status_failed'),
            40 => FactoryText::_('order_status_manual_check'),
        );

        $html[] = '<span class="factory-label label-' . $classes[$state] . '">';
        $html[] = $texts[$state];
        $html[] = '</span>';

        return implode("\n", $html);
    }
}
