<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

defined('DS') or define('DS', DIRECTORY_SEPARATOR);

class JFormFieldMediaMallFactoryMenuListRequest extends JFormFieldList
{
    protected $type = 'MediaMallFactoryMenuListRequest';

    protected function getOptions()
    {
        JLoader::register('FactoryApplication', JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_mediamallfactory' . DS . 'libraries' . DS . 'factory' . DS . 'application.php');
        $app = FactoryApplication::getInstance(array('option' => 'com_mediamallfactory'));
        $app->loadLanguage('site');
        JModelLegacy::addIncludePath(JPATH_SITE . DS . 'components' . DS . 'com_mediamallfactory' . DS . 'models', 'MediaMallFactoryFrontendModel');
        $model = JModelLegacy::getInstance('List', 'MediaMallFactoryFrontendModel');

        $filters = $model->getFilters();

        return $filters[(string)$this->element['name']];
    }
}
