<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

JFormHelper::loadFieldType('MediaMallFactoryInvoiceTemplateEditor');

class JFormFieldMediaMallFactoryNotificationEditor extends JFormFieldMediaMallFactoryInvoiceTemplateEditor
{
    public $type = 'MediaMallFactoryNotificationEditor';

    protected function getOptions()
    {
        $options = array();
        $type = $this->form->getValue('type');
        $xml = simplexml_load_file(FactoryApplication::getInstance()->getPath('component_administrator') . DS . 'notifications.xml');
        $notification = $xml->xpath('//notification[@type="' . $type . '"]');

        if (!$notification) {
            return $options;
        }

        foreach ($notification[0]->option as $option) {
            $options['%%' . (string)$option . '%%'] = 'notification_' . $type . '_' . $option;
        }

        return $options;
    }
}
