<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

JLoader::register('MediaMallFactoryFrontendControllerAdminMessage', FactoryApplication::getInstance()->getPath('component_site') . DS . 'controllers' . DS . 'adminmessage.php');

class MediaMallFactoryFrontendControllerContact extends MediaMallFactoryFrontendControllerAdminMessage
{
    protected function prepareData($data)
    {
        $data = parent::prepareData($data);

        $model = JModelLegacy::getInstance('Contacts', 'MediaMallFactoryFrontendModel');
        $purchase = $model->getPurchase();
        $media = $model->getMedia();

        $user_id = JFactory::getUser()->id;

        $data['item_id'] = $purchase->id;
        $data['user_id'] = $user_id;
        $data['type'] = 'contact';
        $data['owner_id'] = $purchase->author_id;

        return $data;
    }

    protected function getRedirect($data)
    {
        return FactoryRoute::view('contacts&contact_id=' . $data['item_id']);
    }
}
