<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

?>

<div class="view-list-media">
    <div class="row">
        <div class="col-md-3 col-sm-5 col-xs-5">
            <a href="<?php echo FactoryRoute::view('media&media_id=' . $this->item->id); ?>">
                <?php echo JHtml::_('MediaMallFactoryMedia.thumbnail', $this->item->thumbnail); ?>
            </a>

            <div class="hidden-sm hidden-xs">
                <?php echo JHtml::_('MediaMallFactoryMedia.rating', $this->item->rating, $this->item->votes, $this->item->id); ?>
            </div>
        </div>

        <div class="col-sm-7 col-xs-7 visible-sm visible-xs">
            <?php echo JHtml::_('MediaMallFactoryMedia.prices', $this->item); ?>
        </div>

        <div class="clearfix visible-xs-block visible-sm-block" style="margin-bottom: 10px;"></div>

        <div class="media-details col-md-5 col-sm-12">
            <div class="media-title">
                <?php echo JHtml::_('Factory.link', 'media&media_id=' . $this->item->id, $this->item->title); ?>
                <?php if ($this->item->is_owner): ?>
                    <?php echo JHtml::_('Factory.link', 'edit&media_id=' . $this->item->id, '', 'view', 'class="factory-button button-document-pencil"'); ?>
                <?php endif; ?>
            </div>

            <p class="media-description"><?php echo $this->item->description ? JHtml::_('Factory.stripText', $this->item->description, 180) : FactoryText::_('categories_no_description_available'); ?></p>

            <div class="media-info">
                <a class="factory-button-text button-user"
                   href="<?php echo FactoryRoute::view('list&filter[user]=' . $this->item->username); ?>"><?php echo $this->item->username; ?></a>
                <a class="factory-button-text button-folder"
                   href="<?php echo FactoryRoute::view('list&filter[category]=' . $this->item->category_id); ?>"><?php echo JHtml::_('string.truncate', $this->item->category_title, 200); ?></a>
                <span class="factory-button-text button-clock"><?php echo JHtml::_('date.relative', $this->item->created_at); ?></span>
            </div>

            <div class="visible-sm visible-xs">
                <?php echo JHtml::_('MediaMallFactoryMedia.rating', $this->item->rating, $this->item->votes, $this->item->id); ?>
            </div>
        </div>

        <div class="col-md-4 col-sm-6 hidden-sm hidden-xs">
            <?php echo JHtml::_('MediaMallFactoryMedia.prices', $this->item); ?>
        </div>
    </div>
</div>
