<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

?>

<div class="details row-fluid">
    <div class="details-right span3">
        <?php echo JHtml::_('MediaMallFactoryMedia.thumbnail', $this->item->getThumbnailSource($this->thumbnailWidth)); ?>
    </div>

    <div class="details-content span9">
        <div class="details-label"><?php echo FactoryText::_('media_details_rating'); ?></div>
        <div class="details-field"><?php echo JHtml::_('MediaMallFactoryMedia.rating', $this->item->rating, $this->item->votes, $this->item->id, true); ?></div>

        <div class="details-label"><?php echo FactoryText::_('media_details_type'); ?></div>
        <div class="details-field"><a
                    href="<?php echo FactoryRoute::view('list&filter[type]=' . $this->type->id); ?>"><?php echo $this->type->title; ?></a>
        </div>

        <div class="details-label"><?php echo FactoryText::_('media_details_category'); ?></div>
        <div class="details-field"><a
                    href="<?php echo FactoryRoute::view('list&filter[category]=' . $this->item->category_id); ?>"><?php echo $this->category->title; ?></a>
        </div>

        <div class="details-label"><?php echo FactoryText::_('media_details_author'); ?></div>
        <div class="details-field"><a
                    href="<?php echo FactoryRoute::view('list&filter[user]=' . $this->authorUsername); ?>"><?php echo $this->authorUsername; ?></a>
        </div>

        <div class="details-label"><?php echo FactoryText::_('media_details_created_at'); ?></div>
        <div class="details-field"><?php echo JHtml::_('MediaMallFactory.date', $this->item->created_at); ?></div>
    </div>

    <div style="clear: both;"></div>

    <?php if ($this->item->description || $this->item->details_media || $this->item->details_archive): ?>
        <?php echo JHtml::_('bootstrap.startTabSet', 'media', array('active' => 'description')); ?>

        <?php if ($this->item->description): ?>
            <?php echo JHtml::_('bootstrap.addTab', 'media', 'description', FactoryText::_('media_details_tab_description')); ?>
            <?php echo JHtml::_('FactoryAdmin.nl2p', $this->item->description); ?>
            <?php echo JHtml::_('bootstrap.endTab'); ?>
        <?php endif; ?>

        <?php if ($this->item->details_media): ?>
            <?php echo JHtml::_('bootstrap.addTab', 'media', 'media-details', FactoryText::_('media_details_tab_media_details')); ?>
            <?php echo JHtml::_('FactoryAdmin.nl2p', $this->item->details_media); ?>
            <?php echo JHtml::_('bootstrap.endTab'); ?>
        <?php endif; ?>

        <?php if ($this->item->details_archive): ?>
            <?php echo JHtml::_('bootstrap.addTab', 'media', 'archive-details', FactoryText::_('media_details_tab_archive_details')); ?>
            <?php echo JHtml::_('FactoryAdmin.nl2p', $this->item->details_archive); ?>
            <?php echo JHtml::_('bootstrap.endTab'); ?>
        <?php endif; ?>

        <?php echo JHtml::_('bootstrap.endTabSet'); ?>
    <?php endif; ?>
</div>
